global_settings {
max_trace_level 10
photons {
count 100000
jitter .4
media 100
}
}

#include "colors.inc"
#include "glass.inc"

camera {
  location <3,18,-7>
  look_at <0,0.5,0>
}
light_source {<0,20, 0>
         color White*0.5              // Eclairage de la scene
         photons {refraction off reflection off}
         media_interaction off
}

#declare P120=2*pi/3; //120 degres, en radians, puisque les fonctions trigo veulent des radians
#declare R   = 2;   //rayon du cercle  circonscrit a la base du prisme
#declare H   = 2;   //hauteur du prisme

light_source { <0,H/2,-5.9> // Source laser
 color 2.5*<1,0,0>
 cylinder
 radius 0.075
 falloff 0.075
 tightness 0
 point_at <0,H/2,0>
}


prism {
  linear_sweep
  linear_spline
   0,H,4         // de y = 0 a y = H, le profil ayant 3 points + 1
  <cos(0*P120),sin(0*P120)> *R,
  <cos(1*P120),sin(1*P120)> *R,
  <cos(2*P120),sin(2*P120)> *R,
  <cos(0*P120),sin(0*P120)> *R
  hollow
  texture{T_Glass3}
  interior{ior 1.5 }

photons {
        target
        reflection off
        refraction on
        collect off}

      rotate y*(-clock*60)
//    rotate y*(-30)
      translate <R/2,0.2,0>
}

// le plateay tournant
union{
cylinder {<0,0,0><0,0.19,0> R*1.5
           }
cylinder {<1.45*R,0.095,0><1.85*R,0.095,0> R*0.05
           }
    texture {pigment { color White*1.5}}
    rotate y*(-clock*60)
//    rotate y*(-30)
    translate <R/2,0,0>
      }

// ecran
plane{<0,0,-1>, -10 pigment{color White}}

box {<-20,-0.01,-0.1>, < 20,1, 0.1>
     pigment {checker color White, SummerSky scale <2,1,1>}

	    translate <0,H/4,10>
	}
// Eclairage scene par reflexion
plane{<0,0,1>, -12 pigment{color White}}
//sol
plane { <0,1,0>, -0.1 pigment{checker White, SummerSky scale 2}}

// boitier Laser

union {
box {<-1,-1,-10>, < 1,1, -6>
     pigment {color Gray70}
 }
sphere {<0,0,-6.05> 0.15   texture {pigment {color Red}}
     }
    translate <0,H/2,0>
     }


// boite contenant le media
box {<-10,-0.05,-6>, <10, 2*H, 10> hollow
    texture {pigment {color rgbf 1}}
    interior {
        media {
            scattering {1, Red extinction 0}
            //emission color White*0.075
            method 3
            intervals 1
            samples 20
        }
    }
    photons {target}
}
